Bug 240937 - errors on start, then crashes
Summary: errors on start, then crashes
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: poker2d   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Stone
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-23 04:18 UTC by Bill Nottingham
Modified: 2014-03-17 03:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-24 02:08:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2007-05-23 04:18:22 UTC
Description of problem:

Running 'poker2d' from the commandline yields:

Upgrade the client from
http://mekensleep.org/
Server version is different
Client version is 001.018

Clicking 'OK' yields:

  File "/usr/lib/python2.5/site-packages/pokerclient2d/poker2d.py", line 144, in run
    reactor.run()
  File "/usr/lib/python2.5/site-packages/twisted/internet/gtk2reactor.py", line
244, in run
    gtk.main()
  File "/usr/lib/python2.5/site-packages/twisted/internet/gtk2reactor.py", line
254, in simulate
    self.iterate()
  File "/usr/lib/python2.5/site-packages/twisted/internet/base.py", line 381, in
iterate
    self.runUntilCurrent()
--- <exception caught here> ---
  File "/usr/lib/python2.5/site-packages/twisted/internet/base.py", line 555, in
runUntilCurrent
    call.func(*call.args, **call.kw)
  File "/usr/lib/python2.5/site-packages/twisted/internet/base.py", line 411, in
_continueSystemEvent
    for callList in sysEvtTriggers[1], sysEvtTriggers[2]:
<type 'exceptions.TypeError'>: 'NoneType' object is unsubscriptable

Version-Release number of selected component (if applicable):

poker2d-1.0.36-1.fc7

How reproducible:

Every time


Note You need to log in before you can comment on or make changes to this bug.